Bug 221863

Summary: MobileSafari crashes at WebCore: WebCore::VideoFullscreenInterfaceAVKit::doEnterFullscreen
Product: WebKit Reporter: Jean-Yves Avenard [:jya] <jean-yves.avenard>
Component: MediaAssignee: Jean-Yves Avenard [:jya] <jean-yves.avenard>
Status: RESOLVED FIXED    
Severity: Normal CC: darin, eric.carlson, ews-watchlist, glenn, jer.noble, peng.liu6, philipj, sergio, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=221886
Attachments:
Description Flags
Patch
none
Patch none

Description Jean-Yves Avenard [:jya] 2021-02-12 17:09:36 PST
UI process crashes at WebCore::VideoFullscreenInterfaceAVKit::doEnterFullscreen due to infinite recursion leading to stack exhaustion.
Comment 1 Jean-Yves Avenard [:jya] 2021-02-12 17:12:49 PST
<rdar://problem/73861140>
Comment 2 Jean-Yves Avenard [:jya] 2021-02-12 18:01:43 PST
Created attachment 420203 [details]
Patch
Comment 3 Jean-Yves Avenard [:jya] 2021-02-13 02:32:04 PST
Comment on attachment 420203 [details]
Patch

I could make things go awry with this patch.
start playing a video (not YouTube), go to full screen. Now put the video in PiP and press the X button in the top right corner.

The video would exit PiP mode and go back to non-full screen but the video has now disappeared. Tapping play can only allow you to hear the video, but you can't see anything
Comment 4 Jean-Yves Avenard [:jya] 2021-02-13 02:37:11 PST
Created attachment 420218 [details]
Patch
Comment 5 Eric Carlson 2021-02-14 12:48:09 PST
Comment on attachment 420218 [details]
Patch

The Windows bot failure is unrelated, only iOS code is changed by this patch.
Comment 6 EWS 2021-02-14 12:51:05 PST
Committed r272841: <https://commits.webkit.org/r272841>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 420218 [details].